
QGIS Application - Bug report #3762

"Cancel" does not revert a change between new and old symbology

2011-04-20 04:59 AM - Alister Hood

Status: Closed

Priority: Low

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 13821

Description

(I'm setting this as "minor" since it isn't very important and the old symbology will be dropped soon I think.  But I thought it should be

reported anyway, just to be thorough.)

    1. open the Layer Properties for a vector layer

    2. click the button to switch between Old and New Symbology

    3. click "Yes" 

    4. click "Cancel" 

    5. open the Layer Properties again: the symbology is still set to what it was after step 

    6. But when "Cancel" was clicked a normal user would have expected it to have reverted back to what it was originally.

FWIW I'm running r15740

History

#1 - 2011-04-20 05:02 AM - Jürgen Fischer

- Status changed from Open to Closed

- Resolution set to duplicate

duplicate of #3761

#2 - 2011-04-20 05:04 AM - Alister Hood

- Status changed from Closed to Feedback

- Resolution deleted (duplicate)

No, not a duplicate.  It is a different cancel button in a different dialogue (a sub-dialogue).

#3 - 2011-04-20 05:13 AM - Alister Hood

It is a different cancel button in a different dialogue (a sub-dialogue).

I mean #3761 is in a sub-dialogue of this one.

#4 - 2011-10-11 12:14 AM - Jürgen Fischer
- Pull Request or Patch supplied set to No

- Assignee deleted (nobody -)

- Status changed from Feedback to Open

#5 - 2011-12-16 12:45 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#6 - 2012-04-16 06:27 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

- Target version changed from Version 1.7.4 to Version 1.8.0

#7 - 2012-09-04 12:00 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#8 - 2014-06-28 07:39 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#9 - 2015-07-12 04:44 PM - Nyall Dawson

- Resolution set to invalid

- Status changed from Open to Closed

Old symbology is gone...
